net.snowflake.client.jdbcapi

## Class ConnectionPoolingIT

- java.lang.Object
- - net.snowflake.client.jdbcapi.ConnectionPoolingIT

    public class ConnectionPoolingIT
    extends Object

Author:
  hyu

### Constructor Summary

Constructors
Constructor and Description
`ConnectionPoolingIT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GenericObjectPool` `getConnectionPool()`
`void` `setUp()`
`PoolingDataSource` `setUpPoolingDataSource()`
`void` `tearDown()`
`void` `testC3P0ConnectionPool()`
`void` `testDBCPConnection()`
`void` `testHikariConnectionPool()`
`void` `testPoolingDataSource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionPoolingIT

    public ConnectionPoolingIT()

### Method Detail

#### setUp

    public void setUp()
               throws SQLException

Throws:
  `SQLException`

#### tearDown

    public void tearDown()
                  throws SQLException

Throws:
  `SQLException`

#### testDBCPConnection

    public void testDBCPConnection()
                            throws SQLException,
                                   Exception

Throws:
  `SQLException`
  `Exception`

#### setUpPoolingDataSource

    public PoolingDataSource setUpPoolingDataSource()
                                             throws Exception

Throws:
  `Exception`

#### getConnectionPool

    public GenericObjectPool getConnectionPool()

#### testPoolingDataSource

    public void testPoolingDataSource()
                               throws Exception,
                                      SQLException

Throws:
  `Exception`
  `SQLException`

#### testC3P0ConnectionPool

    public void testC3P0ConnectionPool()
                                throws Exception

Throws:
  `Exception`

#### testHikariConnectionPool

    public void testHikariConnectionPool()
                                  throws Exception

Throws:
  `Exception`